> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start return workflow

> Return/refund workflow started with a deterministic, brand-scoped id.

### Request body

`object`

<ParamField body="brand_id" type="string" required />

<ParamField body="order_id" type="string" required />

<ParamField body="return_id" type="string" required />

<ParamField body="reason" type="string" required />

<ParamField body="order_placed_date" type="string" required />

<ParamField body="order_total_cents" type="integer" required />

<ParamField body="currency" type="string" required />

<ParamField body="final_sale" type="boolean" />

<ParamField body="review_cap_cents" type="integer" />

<ParamField body="refund_tool" type="string" required />

<ParamField body="restock_params" type="object" />

### Response

`StartWorkflowResponse`

<ResponseField name="workflow_id" type="string" required />

<ResponseField name="run_id" type="string" />

### Status codes

| Code  | Meaning                                                               |
| ----- | --------------------------------------------------------------------- |
| `200` | Return/refund workflow started with a deterministic, brand-scoped id. |
| `400` | Validation error                                                      |
| `401` | Unauthorized                                                          |
| `404` | Not found                                                             |
| `429` | Rate limited                                                          |
| `500` | Internal error                                                        |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/workflows/return/start' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "return_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "reason": "Two-person tent, green — replacement for damaged pole set.",
    "order_placed_date": "2026-08-31T14:22:05Z",
    "order_total_cents": 4900,
    "currency": "USD",
    "final_sale": true,
    "review_cap_cents": 1,
    "refund_tool": "string",
    "restock_params": {}
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
  ```
</ResponseExample>
